# Distanzmessung auf kleinen Skalen mit Hilfe von Smartphone-Sensoren

Ziel der Arbeit ist es, die verschiedenen Möglichkeiten zur Lokalisierung, anhand einer Literaturrecherche aufzuzeigen und einzugrenzen. Der primäre Fokus liegt hierbei auf der Umsetzung mittels Bluetooth unter Verwendung des RSSI (Received Signal Strength Indicator). Diese kostengünstige Lösung wird gerne zur Indoor-Navigation verwendet. Durch, zum Beispiel Triangulation, findet hierbei eine Lokalisierung der Geräte im Raum oder Gebäude statt. Dabei sind die Beacons in einer größeren Entfernung zueinander angeordnet. 

Bei der Messung von kleinen Skalen zur Durchführung von Experimenten können die Bluetooth Beacons in einem engeren Raster angeordnet werden. Das zu wählende Setup soll auf einem Schreibtisch Platz finden. Hierzu müssen zunächst die Rahmenbedingungen für den Versuchsaufbau definiert werden. Im weiteren Verlauf wird eine Beispielimplementierung auf Android umgesetzt. Mit dieser Implementierung soll geprüft werden, wie hoch die Genauigkeit bei einem bekannten Setup ist und wodurch sie sich verbessern lässt. So ließen sich auch verschiedene Methoden zur Fehlerkorrektur, wie zum Beispiel den Kalman Filter [@welch_introduction_1997] durch die Beispielimplementierung testen. 
